REST APIStakeGo Account Staking

GET

Returns a paginated list of supported staking coins for the authenticated user.

Query Params

  • page integer
    Page number to retrieve (1-based).

    >= 1

    Defaults to 1

  • pageSize integer
    Number of items per page.

    >= 1 · <= 100

    Defaults to 20

Responses

200
A paginated list of supported coins.

Response Body

object

  • coins array of strings required
  • page integer required
  • totalPages integer required
  • totalElements integer int64 required
400
Bad Request

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object
401
Unauthorized

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object
500
Server Error - Transient error please try again

Response Body

object

  • error string
  • errorName string
  • reqId string
  • context object